### org.jfree.layouting.renderer.model

# Class RenderableReplacedContent

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.RenderNode`
  - - `org.jfree.layouting.renderer.model.RenderableReplacedContent`

Implemented Interfaces:
  Cloneable

`public class RenderableReplacedContent`
`extends RenderNode`

This handles all kinds of renderable rectangular content, mostly images and drawables. It is assumed, that the image can be split on any position, although this is avoided as far as possible. Flame me, but 'crop', 'fit' and 'fit-position' will be implemented later. Yes, they are powerfull, but nothing I want to deal with for the initial throw.

Author:
  Thomas Morgner

See Also:
  `http://www.w3.org/TR/css3-box/.the-fit`

  ## Field Summary

  ### Fields inherited from class org.jfree.layouting.renderer.model.RenderNode

  `HORIZONTAL_AXIS`, `VERTICAL_AXIS`

  ## Constructor Summary

  `RenderableReplacedContent(Object rawObject, ResourceKey source, StrictDimension contentSize, RenderLength width, RenderLength height, CSSValue verticalAlign)`

  ## Method Summary

  `void`

  `appyStyle(LayoutContext context, OutputProcessorMetaData metaData)`

  `StrictDimension`

  `getContentSize()`

  `Object`

  `getRawObject()`

  `RenderLength`

  `getRequestedHeight()`

  `RenderLength`

  `getRequestedWidth()`

  `ResourceKey`

  `getSource()`

  `CSSValue`

  `getVerticalAlign()`

  ### Methods inherited from class org.jfree.layouting.renderer.model.RenderNode

  `appyStyle`, `clone`, `derive`, `deriveFrozen`, `findNodeById`, `freeze`, `getAlignmentAdjust`, `getAlignmentAdjustResolved`, `getAlignmentBaseline`, `getBaselineShift`, `getBaselineShiftResolved`, `getChangeTracker`, `getComputedLayoutProperties`, `getDimension`, `getEffectiveMarginBottom`, `getEffectiveMarginTop`, `getHeight`, `getInstanceId`, `getLayoutContext`, `getLogicalPage`, `getMajorAxis`, `getMaximumBoxWidth`, `getMinimumChunkWidth`, `getMinorAxis`, `getNamespace`, `getNext`, `getNodeLayoutProperties`, `getNormalFlow`, `getPageContext`, `getParent`, `getParentBlockContext`, `getPosition`, `getPrev`, `getStickyMarker`, `getTagName`, `getVerticalAlignment`, `getVisibleNext`, `getVisiblePrev`, `getWidth`, `getX`, `getY`, `hibernate`, `isDirectionLTR`, `isDirty`, `isDiscardable`, `isEmpty`, `isFrozen`, `isHibernated`, `isIcmMetricsFinished`, `isIgnorableForRendering`, `isOpen`, `normalizeAlignment`, `setComputedLayoutProperties`, `setDimension`, `setDirty`, `setHeight`, `setHibernated`, `setIcmMetricsFinished`, `setMajorAxis`, `setMaximumBoxWidth`, `setMinimumChunkWidth`, `setMinorAxis`, `setNext`, `setParent`, `setPosition`, `setPrev`, `setStickyMarker`, `setWidth`, `setX`, `setY`, `updateChangeTracker`

## Constructor Details

### RenderableReplacedContent

    public RenderableReplacedContent(Object rawObject,
                                     ResourceKey source,
                                     StrictDimension contentSize,
                                     RenderLength width,
                                     RenderLength height,
                                     CSSValue verticalAlign)

## Method Details

### appyStyle

    public void appyStyle(LayoutContext context,
                          OutputProcessorMetaData metaData)

> Overrides:
>   appyStyle in interface RenderNode

### getContentSize

    public StrictDimension getContentSize()

### getRawObject

    public Object getRawObject()

### getRequestedHeight

    public RenderLength getRequestedHeight()

### getRequestedWidth

    public RenderLength getRequestedWidth()

### getSource

    public ResourceKey getSource()

### getVerticalAlign

    public CSSValue getVerticalAlign()